%define pyver 2.3
Summary: Python bindings for ORBit2
Name: pyorbit
Version: 2.24.0
Release: %mkrel 1
License: LGPLv2+
Group: Development/GNOME and GTK+
URL: ftp://ftp.gnome.org/pub/GNOME/sources/pyorbit/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: ORBit2 >= 2.4.4
Requires: libIDL >= 0.7.1
Requires: glib2 >= 1.3.10
Requires: python >= %pyver
Buildrequires: libpython-devel >= %pyver
Buildrequires: libORBit2-devel >= 2.4.4
Buildrequires: libIDL-devel >= 0.7.1
Buildrequires: glib2-devel >= 1.3.10

%description
pyorbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for ORBit2 addon libraries
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%release
Requires: libORBit2-devel

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with pyorbit

%prep
%setup -q

%build
# gw: the configure macro doesn't work
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%clean
rm -rf %buildroot

%files
%defattr(755, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/python?.?/site-packages/*

%files devel
%defattr(755, root, root, 755)
%dir %{_includedir}/pyorbit-2
%{_includedir}/pyorbit-2/*.h
%{_libdir}/pkgconfig/*.pc




%changelog
* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287367
- new version
- update license

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.14.3-3mdv2009.0
+ Revision: 225127
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.14.3-2mdv2008.1
+ Revision: 179392
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Sat May 26 2007 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2008.0
+ Revision: 31515
- new version


* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
+ Revision: 125668
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
+ Revision: 87916
- Import pyorbit

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
- Rebuild

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2007.0
- New release 2.14.1

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- use mkrel

* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 2.0.1-3mdk
- Rebuild

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.0.1-2mdk
- Rebuild for new python

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- New release 2.0.1

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- fix deps

